aboutsummaryrefslogtreecommitdiffstats
path: root/xen/tools
diff options
context:
space:
mode:
authorKeir Fraser <keir.fraser@citrix.com>2009-07-09 15:26:24 +0100
committerKeir Fraser <keir.fraser@citrix.com>2009-07-09 15:26:24 +0100
commit3e3897953d3bf064a90288c55243f6f8d45c80f3 (patch)
tree4938b78509a9ff7e87f1021cffa5ed906b80733a /xen/tools
parent6edab9fe64689945d4c8124442b76ae7d09406f8 (diff)
downloadxen-3e3897953d3bf064a90288c55243f6f8d45c80f3.tar.gz
xen-3e3897953d3bf064a90288c55243f6f8d45c80f3.tar.bz2
xen-3e3897953d3bf064a90288c55243f6f8d45c80f3.zip
Use $(PYTHON) Makefile variable when building the hypervisor.
Signed-off-by: Christoph Egger <Christoph.Egger@amd.com>
Diffstat (limited to 'xen/tools')
-rw-r--r--xen/tools/get-fields.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/xen/tools/get-fields.sh b/xen/tools/get-fields.sh
index 9b2c61f1d0..4547dc2eee 100644
--- a/xen/tools/get-fields.sh
+++ b/xen/tools/get-fields.sh
@@ -5,6 +5,13 @@ SED=sed
if test -x /usr/xpg4/bin/sed; then
SED=/usr/xpg4/bin/sed
fi
+if test -z ${PYTHON}; then
+ PYTHON=`/usr/bin/env python`
+fi
+if test -z ${PYTHON}; then
+ echo "Python not found"
+ exit 1
+fi
get_fields ()
{
@@ -129,7 +136,7 @@ handle_field ()
fi
elif [ -z "$(echo "$5" | $SED 's,[^{}],,g')" ]
then
- local tag=$(echo "$5" | python -c '
+ local tag=$(echo "$5" | ${PYTHON} -c '
import re,sys
for line in sys.stdin.readlines():
print re.subn(r"\s*(struct|union)\s+(compat_)?(\w+)\s.*", r"\3", line)[0].rstrip()